Loading...
Searching...
No Matches
config_file.h File Reference

Class for loading profile (currently for loading ini config file). More...

`#include "common/singleton.h"`
`#include "common/logger.h"`
`#include <boost/property_tree/ptree.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <string>`
`#include <sstream>`
`#include <vector>`
`#include <stdexcept>`
Include dependency graph for config_file.h:

## Classes

class | CConfigFile
| Class for loading config file. More...

## Functions

CConfigFile & | GetConfigFile ()
| Global function to get config file instance.

## Detailed Description

Class for loading profile (currently for loading ini config file).

## Function Documentation

## GetConfigFile()

CConfigFile & GetConfigFile | ( |  | ) |

inline

Global function to get config file instance.